--[[

while GetGuildRosterInfo(index) ~= nil do
                local nameRealm, _, _, level, _, _, _, _, online, _, _, _, _, isMobile, _, _ = GetGuildRosterInfo(index);
                local name,realm = strsplit("-",nameRealm)
                if level < 120 or online == false or isMobile == true then
                    index = index + 1
                else
                    if WeekKeysDB.Guild then
                        for i,data in pairs(WeekKeysDB.Guild) do
                            if (name == data.name) and (data.realm == realm) then
                            -- print(name, "<=>",level, "<=>", isMobile, "<=>",online)
                                tinsert(WeekFrame.gIDs,i)
                            end
                        end
                    end
                    index = index + 1
                end
            end

]]
function WeekKeys.DB.GetGuildFormatted(DB, tbl)
    if not DB then
        return print("aaa")
    end
    tbl = tbl or {}
    local index = 1
    tbl[1] = wipe(tbl[1] or {})  -- фракция
    tbl[2] = wipe(tbl[2] or {})  -- ник, покрашеный
    tbl[3] = wipe(tbl[3] or {}) -- илвл
    tbl[4] = wipe(tbl[4] or {}) -- рекорд
    tbl[5] = wipe(tbl[5] or {}) -- ключ
    tbl[6] = wipe(tbl[6] or {}) -- недельный сундук

    for i = 1, GetNumGuildMembers() do
        local nameRealm, _, _, level, _, _, _, _, online, _, _, _, _, isMobile, _, _ = GetGuildRosterInfo(i);
        local name,realm = strsplit("-",nameRealm)
        if level >= 60 and online == true and isMobile == false then
            for _,char in pairs(DB) do
                if char.name == name and char.realm == realm then
                    tbl[1][index] = char.faction
                    local _, classFile, _ = GetClassInfo(char.classID)
                    local _, _, _, argbHex = GetClassColor(classFile)
                    tbl[2][index] = "|c"..argbHex..char.name.."|r"
                    tbl[3][index] = char.ilvl
                    tbl[4][index] = char.record
                    if char.keyID then
                        tbl[5][index] = string.format("%s (%d)",C_ChallengeMode.GetMapUIInfo(char.keyID), char.keyLevel)
                        --[[
                        if char.keyID == 375 or char.keyID == 377 then
                            tbl[5][index] = "|Tinterface/icons/ui_sigil_nightfae.blp:20:20|t" .. tbl[5][index] 
                        elseif char.keyID == 376 or char.keyID == 381 then
                            tbl[5][index] = "|Tinterface/icons/ui_sigil_kyrian.blp:20:20|t" .. tbl[5][index]
                        elseif char.keyID == 378 or char.keyID == 380 then
                            tbl[5][index] =  "|Tinterface/icons/ui_sigil_venthyr.blp:20:20|t" .. tbl[5][index] 
                        elseif char.keyID == 379 or char.keyID == 382 then
                            tbl[5][index] =  "|Tinterface/icons/ui_sigil_necrolord.blp:20:20|t" .. tbl[5][index]
                        end
                        ]]
                    else
                        tbl[5][index] = ""
                    end
                    tbl[6][index] = char.reward
                    index = index + 1
                end
            end
        end
    end

    return tbl
end